Ask Your Question
0

rosoct wiki, rosoct with octave3.2

asked 2011-02-28 07:12:35 -0500

omwdunkley gravatar image

Hey all, my first post here :)

I'm trying to compile rosoct.

  1. The svn on the rosoct wiki does not work. After browsing, I found this one: https://code.ros.org/svn/ros/stacks/r... Should this be the one on the wiki?
  2. Is there some way to make rosoct compile with octave3.2headers instead of the older octave3.0headers? While compiling with 3.2 I receive the following errors:

    ~/ros/rosoct/rosoct.cpp: In member function ‘virtual void RoscppSubscription::dowork(OctaveMsgDeserializer*)’: ~/ros/rosoct/rosoct.cpp:455: error: ‘class uint8NDArray’ has no member named ‘resize_no_fill’ ~/ros/rosoct/rosoct.cpp: In member function ‘virtual void RoscppService::dowork()’: ~/ros/rosoct/rosoct.cpp:582: error: ‘class uint8NDArray’ has no member named ‘resize_no_fill’

Thanks in advance!

edit retag flag offensive close merge delete

1 Answer

Sort by » oldest newest most voted
1

answered 2011-02-28 08:21:12 -0500

kwc gravatar image

FYI: rosoct has been retired, which is why it is no longer present on the wiki. Also, it is not compatible with ROS Diamondback.

edit flag offensive delete link more

Comments

Thanks for the info!
omwdunkley gravatar image omwdunkley  ( 2011-03-01 02:57:24 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2011-02-28 07:12:35 -0500

Seen: 188 times

Last updated: Feb 28 '11

Related questions